Add task status updates (Internal API) - SuperAI Flows

Add task status updates (Internal API)

cURL

curl --request POST \
  --url https://flows.super.ai/api/flow-executions/{flow_execution_id}/task-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data ' \
{ \
  "statuses": [ \
    { \
      "status": "completed", \
      "task_name": "extract_data" \
    }, \
    { \
      "status": "running", \
      "task_name": "validate_results" \
    } \
  ] \
}'

Python Example

import requests

url = "https://flows.super.ai/api/flow-executions/{flow_execution_id}/task-status"

payload = { "statuses": [ \
        { \
            "status": "completed", \
            "task_name": "extract_data" \
        }, \
        { \
            "status": "running", \
            "task_name": "validate_results" \
        } \
    ] }
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Example

const options = {
  method: 'POST',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    statuses: [ \
      {status: 'completed', task_name: 'extract_data'}, \
      {status: 'running', task_name: 'validate_results'} \
    ]
  })
};

fetch('https://flows.super.ai/api/flow-executions/{flow_execution_id}/task-status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example




Response

[
  {
    "flow_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "task_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Path Parameters